Subject: bug#5686: M-x man thinks the "/O" of "I/O" is a clickable file path

From: [email-masked]
Date: Sat, 06 Mar 2010 03:11:00 +0800

M-x man thinks the "/O" of "I/O" is a clickable file path.
$ man mount|grep I/O|sed q
       async  All I/O to the filesystem should be done asynchronously.
C-u C-x = shows
 There are text properties here:
   Man-target-string    "/O"
   button               (t)
   category             Man-xref-normal-file-button

Anyways relative file paths like bla/zla usually aren't useful either
for clicking on on a man page, so perhaps adjust the regexp involved to
not assume that they are to be made clickable.

In emacs -Q -nw the /O of I/O glows blue, so it is much more noticeable
than the underlined form seen in X windows. I wouldn't have noticed if I
didn't use emacs -nw. emacs-version "23.1.93.1".